Cupti: CUpti_ActivityJit Struct Reference

# CUpti_ActivityJit Struct Reference
[CUPTI Activity API]

The activity record for JIT operations. This activity represents the JIT operations (compile, load, store) of a CUmodule from the Compute Cache. Gives the exact hashed path of where the cached module is loaded from, or where the module will be stored after Just-In-Time (JIT) compilation.

## Data Fields
const char * | cachePath
uint64_t | cacheSize
uint32_t | correlationId
uint32_t | deviceId
uint64_t | end
CUpti_ActivityJitEntryType | jitEntryType
uint64_t | jitOperationCorrelationId
CUpti_ActivityJitOperationType | jitOperationType
CUpti_ActivityKind | kind
uint32_t | padding
uint64_t | start

## Field Documentation

const char* CUpti_ActivityJit::cachePath

The path where the fat binary is cached.

uint64_t CUpti_ActivityJit::cacheSize

The size of compute cache.

uint32_t CUpti_ActivityJit::correlationId

The correlation ID of the JIT operation to which records belong to. Each JIT operation is assigned a unique correlation ID that is identical to the correlation ID in the driver or runtime API activity record that launched the JIT operation.

uint32_t CUpti_ActivityJit::deviceId

The device ID.

uint64_t CUpti_ActivityJit::end

The end timestamp for the JIT operation, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the JIT operation.

CUpti_ActivityJitEntryType CUpti_ActivityJit::jitEntryType

The JIT entry type.

uint64_t CUpti_ActivityJit::jitOperationCorrelationId

The correlation ID to correlate JIT compilation, load and store operations. Each JIT compilation unit is assigned a unique correlation ID at the time of the JIT compilation. This correlation id can be used to find the matching JIT cache load/store records.

CUpti_ActivityJitOperationType CUpti_ActivityJit::jitOperationType

The JIT operation type.

CUpti_ActivityKind CUpti_ActivityJit::kind

The activity record kind must be CUPTI_ACTIVITY_KIND_JIT.

uint32_t CUpti_ActivityJit::padding

Internal use.

uint64_t CUpti_ActivityJit::start

The start timestamp for the JIT operation, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the JIT operation.